Subject: Re: [PATCH] 802.1q vlan updates

From: Ben Greear <[email-masked]>
Date: Thu, 06 Nov 2003 13:00:54 -0800

David S. Miller wrote:
> On Wed, 05 Nov 2003 20:24:43 -0800
> Ben Greear <[email-masked]> wrote:
> 
> 
>>Here is a patch that is a cleaned up version of something I sent
>>a while back.  This adds the ability to query a device to see if
>>it is a vlan device by asking for the vlan's parent device.
>>One can deduce that a querried interface is not a VLAN by looking
>>at the IOCTL error code.
>>
>>Patch is against 2.4.22-pre9, compile tested and extracted from a run-time
>>tested patch.
> 
> 
> I'll push this to Marcelo for 2.4.24, thanks.
> 
> If you could cook up and test a 2.6.x version, I'll push that in
> for 2.6.1

I have yet to start using 2.6, but I'll get a test system up as soon
as 2.6.0 comes out and will send a patch shortly there-after.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com